Bug 235884 - sysutils/goaccess does not build with TOKYOCABINET_MHASH=on
Summary: sysutils/goaccess does not build with TOKYOCABINET_MHASH=on
Status: Closed Overcome By Events
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Sofian Brabez
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2019-02-20 14:27 UTC by Miroslav Lachman
Modified: 2020-07-11 16:20 UTC (History)
1 user (show)

See Also:
bugzilla: maintainer-feedback? (sbz)


Attachments
poudriere build failure full log (13.96 KB, text/plain)
2019-02-20 14:27 UTC, Miroslav Lachman
no flags Details
patch-typo-Makefile (550 bytes, patch)
2019-02-20 15:23 UTC, Walter Schwarzenfeld
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Miroslav Lachman 2019-02-20 14:27:50 UTC
Created attachment 202187 [details]
poudriere build failure full log

I cannot build goaccess in my poudriere if I have TOKYOCABINET_MHASH enabled


checking for tchdbnew in -ltokyocabinet... no
configure: error: *** Missing development libraries for Tokyo Cabinet Database

It builds fine without it.
Comment 1 Walter Schwarzenfeld freebsd_triage 2019-02-20 15:14:24 UTC
It is a typo in the Makefile
TOKYOCABINET_HASH_LIB_DEPENDS= libtokyocabinet.so:databases/tokyocabinet

should be

TOKYOCABINET_MHASH_LIB_DEPENDS= libtokyocabinet.so:databases/tokyocabinet
Comment 2 Walter Schwarzenfeld freebsd_triage 2019-02-20 15:23:26 UTC
Created attachment 202188 [details]
patch-typo-Makefile
Comment 3 Miroslav Lachman 2019-02-20 16:21:19 UTC
Good catch. Confirmed patch solved the problem.
Comment 4 Walter Schwarzenfeld freebsd_triage 2019-08-21 08:12:22 UTC
Maintainer feedback, please!
Comment 5 Sofian Brabez freebsd_committer 2020-07-11 16:20:18 UTC
Hi, it seems this patch is now applied and the typo is fixed on HEAD into the port sysutils/goaccess/Makefile.

$ grep MHASH /usr/ports/sysutils/goaccess/Makefile 
OPTIONS_RADIO_TOKYOCABINET=	TOKYOCABINET_BTREE TOKYOCABINET_MHASH
TOKYOCABINET_MHASH_DESC=	Storage using on-memory hash database
TOKYOCABINET_MHASH_CONFIGURE_ON=	--enable-tcb=memhash
TOKYOCABINET_MHASH_LIB_DEPENDS=	libtokyocabinet.so:databases/tokyocabinet

Thanks! I will closed it.